yukonuw.htm

    ©Copyright 2004 Marvell®.
    All rights reserved

    yukonuw.htm created 14-Jun-2004

    Readme File for yukonuw.pck v7.04

    Marvell Yukon Ethernet Adapter

# This file contains

1 Overview
2 Required Files
3 Important Notes
4 Installation

4.1 Installation with pkgadd and netcfg
4.2 Installation with scoadmin
4.3 Removal with pkgrm

5 Parameters

## 1 Overview

    The yukonuw MDI driver supports the Marvell Yukon Ethernet Adapter
    on SCO UnixWare 7.1.x and OpenUnix 8.0.

## 2 Required Files

    For proper software installation the following package file is required:
    yukonuw.pck .
    In the text below the expression <package file> refers to this file.

    Driver packages downloaded from our web site are available in a compressed
    format (.Z files). The downloaded package has to be uncompressed before
    installation.

    To uncompress the downloaded driver package, proceed as follows:

    1.	Go to the directory where the compressed driver package yukonuw.pck.Z
    	is located.

    2.	Uncompress the file with the following command:
    	uncompress yukonuw.pck.Z
    	The uncompressed driver package has the format yukonuw.pck and is
    	ready for installation.

## 3 Important Notes

    The network driver supports symmetric multiprocessing (SMP). However care
    must be taken when using the multiprocessor support package on UnixWare
    7.1.3 since this may lead to a malfunction in the network environment on
    Intel Pentium 4 multiprocessor machines. For proper SMP operation it is
    recommended to use the OS level 7.1.4. The following boot argument must be
    set before booting the system: ACPI=Y .
    If you experience problems with SMP support something like 'the network
    driver has been activated but no ping is working' you should contact your
    system supplier.

## 4 Installation

    There are two possibilities for installation:
    - pkgadd and netcfg
    - scoadmin
    pkgadd and netcfg run from the command line, scoadmin uses the graphical
    interface.
    For removal of the driver, pkgrm is used.

4.1 Installation with pkgadd and netcfg

    NOTE: If the Marvell network adapter is not plugged in, shutdown
          the system, install the network adapter, and reboot the system
          before starting netcfg.

    To install the package with pkgadd and netcfg, proceed as follows:

    1.  Login as root.

    2.  Go to the directory where the driver <package file> is located.

    3.  Execute pkgadd with the following command:
        pkgadd -d `pwd`/<package file>

    4.  Follow further instructions of the package installer.

    5.  If the Marvell network adapter is already plugged in, start netcfg
        with the following command:
        netcfg

    6.  Select "Hardware->Add new LAN adapter".
        The corresponding device driver	entry is listed in the configuration
        menu.

    7.  Select the network device driver.

    8.  To continue with the installation, select <Continue>.

    9.  Follow further instructions of netcfg.

4.2 Installation with scoadmin

    To install the package with scoadmin, proceed as follows:

    1.  Start scoadmin in graphical desktop environment.

    2.  Select "Software_Management->Application Installer".

    3.  Select "Install from: "other"".

    4.  In the dialog box "Folder" enter the location of the <package file>
        including the complete pathname.
        The package panel shows the available software packages.

    5.  Select the package.

    6.  Click the <Install> button.

    7.  Select "Actions->Exit".

    8.  Select "Networking->Network Configuration Manager".

    9.  Select "Hardware->Add new LAN adapter".
        The corresponding device driver entry is listed in the configuration
        menu.

    10. Select the network device driver.

    11. To continue with the installation, click <Continue>.

    12. Follow further instructions.

4.3 Removal with pkgrm

    To remove the driver with pkgrm, proceed as follows:

    1.  To view the installed Marvell drivers on your system, execute the
        following command in a system terminal:
        pkginfo | grep yukonuw
        A line similar to the following is displayed:
        system      <product name>         <product description>

    2.  To remove the driver enter the following command:
        pkgrm <product name>
        where <product name> is the name of the Marvell network driver
        package that is to be removed (see list under 1).

## 5 Parameters

    Parameters can be set by means of the "Network Configuration Manager".
    There are two possibilities to set the paramters:
    - during the installation of the driver, or
    - after the installation by selecting "Hardware->Modify Hardware
      Configuration" and the <Advanced> button.

    NOTE: Once a parameter has been reconfigured for an existing network device
    the system must be rebooted for the changes to take effect. This applies to
    UnixWare 7.1.1 and 7.1.3 and OpenUnix 8.

    - MAC Address override

    Change the adapter's current receive address.

    Default: no alternative MAC address

    By default the network adapter's burnt-in factory address is used as the
    station's current network address, which represents the receive address for
    the protocol data.
    An address may be entered partially: e.g. 00:00:5a:2B:3C:4D or even 5a:2B:3C:4D

    - Auto-Negotiation

    Values : sense, on, off.
    Default: on

    Auto-negotiation is the capability to detect the modes of operation
    supported by the device at the other end of a link segment, to determine
    common abilities, and to configure the network adapter for joint
    operation.

    - Flow Control Mode

    Values : Sym, SymOrRem, LocSend, None
    Default: SymOrRem

    This parameter can be used to set the flow control capabilities that the
    port reports during auto-negotiation.

    The following modes are possible:
    - Sym (Symmetric) both link partners are allowed to send PAUSE frames.
    - SymOrRem (SymmetricOrRemote) both or only remote partner are allowed
      to send PAUSE frames.
    - LocSend (LocalSend) only local link partner is allowed to send PAUSE
      frames.
    - None: no link partner is allowed to send PAUSE frames.

    NOTE: This parameter is ignored if auto-negotiation is set to Off.

    - Duplex Capabilities

    Specify the duplex capabilities of the physical port.

    Values : both, full, half
    Default: both

    The duplex capabilities define the link mode of the media access connector
    of the physical port. Possible values are: both, full, and half.
    Also refer to the parameter "Auto-Negotiation" that allows the following
    combinations of settings:

    1.    Auto Negotation: on        Duplex Capabilities: both
          This combination forces the port to start the auto-negotiation
          process with the best result of full-duplex or half-duplex.

    2.    Auto Negotation: on        Duplex Capabilities: full
          This combination forces the port to start the auto-negotiation
          process with the result of full-duplex operation mode only.

    3.    Auto Negotation: on        Duplex Capabilities: half
          This combination forces the port to start the auto-negotiation
          process with the result of half-duplex operation mode only.

    4.    Auto Negotation: off       Duplex Capabilities: both
          This combination is not valid and causes the driver to start the
          auto-negotiation process with the best result of full-duplex or
          half-duplex.

    5.    Auto Negotation: off       Duplex Capabilities: full
          If this operation mode is specified, the corresponding MAC is forced
          to work in full-duplex mode only. If the remote MAC does not support
          full-duplex mode the link will fail.

          In full-duplex mode there is no need for the Transmit Media Access
          Management to avoid contention with other traffic on the medium. The
          frame transmission may be initiated after the interframe delay
          regardless of the	presence of any receive activity. In full-duplex
          mode the MAC sublayer does not perform carrier extension or frame
          bursting.

    6.    Auto Negotation: off       Duplex Capabilities: half
          If this operation mode is specified, the corresponding MAC is forced
          to work in half-duplex mode only. In half-duplex mode the Transmit
          Media	Access Management attempts to avoid contention with any other
          traffic on the medium by monitoring the carrier sense signal
          provided by the Physical Layer Signaling (PLS) component and
          deferring to passing traffic.

    7.    Auto Negotation: sense     Duplex Capabilities: <any value>
          If the auto-negotation parameter is set to `sense` any value of
          Duplex Capabilities is ignored. In this operation mode the
          corresponding MAC will check the carrier for the best possible mode.
          This depends on the capabilities of other stations in the network.

    - Role

    Set Role in Master-Slave-Negotiation (1000Base-T only).

    Values : auto, master, slave
    Default: auto

    This parameter is only valid for copper adapters. For two 1000Base-T ports
    to communicate, one must take the role as master (providing timing
    information), while the other must be slave. Usually, this is negotiated
    between the two ports during link establishment. If this fails, a port
    can be forced to a specific setting with this parameter.

    - Link speed

    Specify the link speed of the corresponding port. This parameter is only
    valid for copper adapters.

    Values : auto,10,100,1000
    Default: auto

    - HwChecksum

    Enables computation of IP and TCP checksums by the NIC. This decreases
    CPU utilization. The driver supports TCP checksum offloading (pseudo IP
    header computation) on the transmit path and TCP- and IP checksum on the
    receive path. The enabled checksum mode depends on the capabilities of
    the OS and is displayed at the system log at device initialization.
    Please note that checksum offload is not supported by all NICs.

    Values : on, off
    Default: on

    - TX queue size (kb)
    - RX queue size (kb)

    These both parameters define the transmit and receive queue size in kilo
    byte. Large queue sizes may be used if data bursts from / to the network
    may overrrun the receive / transmit capacity of the driver. Transmit and
    receive queues buffer outgoing and incoming data.

    Values : 1 2 [ ... 4 8 16 32 64 ]
    Default: 8

    Note: The amount of configurable queue size depends on the type of NIC.

    NOTE: On systems with low RAM the device configuration may fail with the
    following system log entry. If this happens the queue sizes above should
    be reduced.

    WARNING: <device>: pDescrMem error
    WARNING: <device>: memory allocation error
    WARNING: <device>: configuration command 1 failed, rc: 12

    						***End of Readme File***